Status: In Progress Start date: 16 Aug 2018

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: Documentation Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 1.15 hour

Description

It is possible to get the version number from Frobby.

Modify ExternalLibs.C so that it extracts Frobby's version number.

Related issues:

Related to CoCoALib - Feature #1050: ExternalLibs: function for getting info Closed 24 Apr 2017

Related to CoCoALib - Design #1221: Reconsider design for accessing headers a... Closed 16 Aug 2018

History

#1 - 16 Aug 2018 06:58 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

The Frobby version number (C string) is in constants::version defined in src/stdinc.h and src/stdinc.cpp.

Note that stdinc.h is not included in frobby.h, so I suggest writing an extra file ExternalLib-Frobby-version.C which just gets the version number (to

avoid including stdinc.h more than necessary).

#2 - 16 Aug 2018 07:48 - John Abbott

With the current design it is trickier than expected.

The main point is that the current design of CoCoALib assumes that external libraries have single header files which are then linked to (symbolically)

from CoCoALib's own configuration/ExternalLibs/include/ directory.  So it is non-trivial to make two of Frobby's header files visible to CoCoALib.

What to do?

(1) modify (my already modified copy of) Frobby so that its "version function" is declared in frobby.h.  Such a modification makes some sense;

indeed the nicest way might be to create a new Frobby header version.h, and then include that header in frobby.h  (but this won't work with

CoCoALib's way of including external libs...)

(2) change CoCoALib's design regarding external libs, so that it links to external directories

#3 - 16 Aug 2018 09:20 - John Abbott

- Related to Feature #1050: ExternalLibs: function for getting info added

#4 - 16 Aug 2018 09:22 - John Abbott

- Related to Design #1221: Reconsider design for accessing headers and libs of external libraries added

#5 - 23 Sep 2019 15:20 - John Abbott
- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-0.99700

#6 - 30 Oct 2019 21:51 - John Abbott

There was recent email from Bjarke Roune stating that he will no longer be able to maintain Frobby.

We should contact the other users to make a unified stable version which can be kept on "life-support".

#7 - 09 Jan 2020 12:18 - John Abbott

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99800

#8 - 16 Feb 2021 17:19 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

I believe that maintenance of Frobby has now passed to the Macaulay group (Mike Stillman, etc.)

We should contact them... when we find time :-/

#9 - 08 Mar 2023 19:40 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
